Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Tip: gebruik je Firejail? Waardeer die dan op naar de nieuwste Firejail LTS  (gelezen 1751 keer)

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Ben je gebruiker van Firejail? Dan is deze tip voor jou bedoeld.

De ontwikkelaars van Firejail onderhouden twee Firejail-reeksen: een langdurig ondersteunde (LTS) reeks en de nieuwste reeks.

Het verdient aanbeveling om op te waarderen naar de jongste Firejail LTS (0.9.38.x), want die bevat belangrijke foutreparaties. In de officiële pakketbronnen van Ubuntu en Linux Mint zit alleen een oudere Firejail LTS zonder die reparaties.

Actualisering: de nieuwste Firejail van de LTS-reeks is nu beschikbaar in de gewone pakketbronnen, want de ontwikkelaars van Ubuntu hebben hem overgenomen als Stable Release Update (SRU).
« Laatst bewerkt op: 2017/02/09, 10:37:40 door Pjotr »

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Toevoeging: mijn tip gaat uit van de LTS-reeks van Firejail, en niet van de nieuwste reeks. Natuurlijk kun je ook "gewoon" de nieuwste Firejail installeren (op dit ogenblik 0.9.44.x).

Maar omdat Ubuntu 16.04 en Linux Mint 18.x een oudere Firejail uit de LTS-reeks bevatten (0.9.38.4-1), is het voor de stabiliteit mogelijk beter om te blijven bij die LTS-reeks.

Offline Henkp

  • Lid
  • Steunpunt: Nee
Ik heb de onderstaande versie, wat moet ik dan nog update?

henk@henk-SATELLITE-C875-100 ~ $ firejail --version
firejail version 0.9.40

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Ik heb de onderstaande versie, wat moet ik dan nog update?

henk@henk-SATELLITE-C875-100 ~ $ firejail --version
firejail version 0.9.40
Dan heb je niet de LTS-reeks. In dat geval wil je opwaarderen naar 0.9.44-2:
https://sourceforge.net/projects/firejail/files/firejail/

Offline Henkp

  • Lid
  • Steunpunt: Nee
Ik heb de onderstaande versie, wat moet ik dan nog update?

henk@henk-SATELLITE-C875-100 ~ $ firejail --version
firejail version 0.9.40
Dan heb je niet de LTS-reeks. In dat geval wil je opwaarderen naar 0.9.44-2:
https://sourceforge.net/projects/firejail/files/firejail/

Oké hartelijk bedankt.

henk@henk-SATELLITE-C875-100 ~ $ firejail --version
firejail version 0.9.44.2

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Er is weer een nieuwe Firejail LTS, namelijk 0.9.38-10:
https://sourceforge.net/projects/firejail/files/LTS/

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
De veiligheidsreparaties voor Firejail 0.9.38-1 zijn nu doorgesluisd naar de pakketbronnen, in de vorm van versie 0.9.38-1ubuntu0.1:
https://bugs.launchpad.net/ubuntu/xenial/+source/firejail/+bug/1655136

Offline Joris Donders

  • Lid
  • Steunpunt: Ja
* buiten de standaard Ubuntu om * !!! Firejail is voor mij nu net een pinklichtje dat me doet denken aan W 3.1 en Norton System Tools ///// Je moet maar de maker van Firejail blind vertrouwen.
Gubuntu 17.04 wegens verdwijnen Unity binnenkort

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
* buiten de standaard Ubuntu om * !!! Firejail is voor mij nu net een pinklichtje dat me doet denken aan W 3.1 en Norton System Tools ///// Je moet maar de maker van Firejail blind vertrouwen.
Firejail zit gewoon in de pakketbronnen van Ubuntu 16.04, hoor.... Dat betekent dat de maker niet zomaar iemand is. En dat geeft mij dus ook vertrouwen in de nieuwere versies die hij aanbiedt op z'n eigen webstek. :)
« Laatst bewerkt op: 2017/01/25, 23:52:19 door Pjotr »

Offline h2o

  • Lid
  • Steunpunt: Nee
De veiligheidsreparaties voor Firejail 0.9.38-1 zijn nu doorgesluisd naar de pakketbronnen, in de vorm van versie 0.9.38-1ubuntu0.1:
https://bugs.launchpad.net/ubuntu/xenial/+source/firejail/+bug/1655136
Grappig, op mijn Debian Jessie laptop:
Citaat
firejail --version
firejail version 0.9.44.4
Loopt Ubuntu hier dan achter? Dat kan ik mij niet voorstellen...  ???
Laptops + werkstations: Debian Stable + backports, server Debian Stable.
Test-laptop: Debian Tesing/Unstable

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
De veiligheidsreparaties voor Firejail 0.9.38-1 zijn nu doorgesluisd naar de pakketbronnen, in de vorm van versie 0.9.38-1ubuntu0.1:
https://bugs.launchpad.net/ubuntu/xenial/+source/firejail/+bug/1655136
Grappig, op mijn Debian Jessie laptop:
Citaat
firejail --version
firejail version 0.9.44.4
Loopt Ubuntu hier dan achter? Dat kan ik mij niet voorstellen...  ???
De maker van Firejail onderhoudt twee verschillende reeksen: de gewone reeks (die nu op 0.9.44.8 staat) en een LTS-reeks (die nu op 0.9.38.10 staat).

Om de onduidelijkheid compleet te maken, hebben de ontwikkelaars van Ubuntu de veiligheidsreparaties die in 0.9.38.10 zitten, eruit geplukt en zelf in 0.9.38-1 gestopt.  =D

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Actualisering: de nieuwste Firejail (0.9.38-10) van de LTS-reeks is nu beschikbaar in de gewone pakketbronnen van Ubuntu 16.04 en Linux Mint 18.x, want de ontwikkelaars van Ubuntu hebben hem overgenomen als Stable Release Update (SRU).  :)